<template>
  <layout-cascader
    id="e725d2a91b8248f4b8f49889038df7de"
    v-model="modelValue"
    ref="cascaderRef"
    :check-strictly="checkStrictly"
    :level="level"
    value="BIANMA"
  />
</template>

<script setup>
import { useVModel } from "@vueuse/core";
import { ref } from "vue";
import LayoutCascader from "@/components/cascader/index.vue";

defineOptions({
  name: "LayoutTerritory",
});
const props = defineProps({
  modelValue: {
    type: Array,
    default: () => [],
    required: true,
  },
  level: {
    type: [Number, String],
    default: 3,
  },
  checkStrictly: {
    type: Boolean,
    default: true,
  },
});
const emits = defineEmits(["update:modelValue"]);
const modelValue = useVModel(props, "modelValue", emits);
const cascaderRef = ref(null);
const getCheckedNodes = () => {
  return cascaderRef.value.getCheckedNodes();
};
defineExpose({
  getCheckedNodes,
});
</script>

<style scoped></style>
